#!/usr/bin/env python3
# -*- coding:utf-8 -*-

from buildhat import SystemMediumMotor
import time

# Initializing Motor
#The right rear motor
Motor_A= SystemMediumMotor('A')
#The right front motor
Motor_B= SystemMediumMotor('B')
#The left rear motor
Motor_C= SystemMediumMotor('C')
#The left front motor
Motor_D= SystemMediumMotor('D')


Motor_Way = 1

while True:
    #Motor gradually accelerated and then decelerated
    for i in range(0,100):
        Motor_A.start(i*Motor_Way)
        Motor_B.start(i*Motor_Way)
        Motor_C.start(i*Motor_Way)
        Motor_D.start(i*Motor_Way)
        time.sleep(0.02)
    for i in range(100,0,-1):
        Motor_A.start(i*Motor_Way)
        Motor_B.start(i*Motor_Way)
        Motor_C.start(i*Motor_Way)
        Motor_D.start(i*Motor_Way)
        time.sleep(0.02)
    # Stop motor 
    Motor_A.stop()
    Motor_B.stop()
    Motor_C.stop()
    Motor_D.stop()
    # delay 0.5s
    time.sleep(0.5)
    #Change the direction of motor rotation
    Motor_Way *= -1


